<template>
  <div class="tutorList">
    <ul>
      <li v-for="tutor in tutors" :key="tutor.tutorId">
        <TutorItem :tutor="tutor" @onDelete="emitDelete" />
      </li>
    </ul>
  </div>
</template>

<script>
import TutorItem from "./TutorItem";

export default {
  name: "TutorList",
  components: {
    TutorItem,
  },
  methods: {
    emitDelete() {
      this.$emit("onDelete");
    },
  },
  props: ["tutors"],
};
</script>

<style scoped>
.tutorList {
  height: 85vh;
  overflow: auto;
}
</style>
